#{extends 'border.html'/}
<div class="container formKontenDinamis">
#{form @cms.UnduhCtr.createSubmit(), method:'POST', class:'form-horizontal', enctype:'multipart/form-data'}

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{cms.UnduhCtr.index()}">&{'unduh.label'}</a></li>
                <li class="active">&{'tambah.label'} &{'unduh.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <!-- Toolbar -->
            <div class="toolbar">
                #{backButton action:@cms.UnduhCtr.index()/}
                #{saveButton/}
            </div>
            <!-- End Toolbar -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="col-md-12">
                        <div class="form-group required">
                            <label class="col-md-3 control-label">&{'kategori.label'}</label>
                            <div class="col-md-3">
                                <select name="kategori" class="form-control select2" required>
                                    <option value="">&{'pilih.label'}</option>
                                    #{list KategoriUnduhList, as:'k'}
                                        <option value="${k.id}">${k.nama_kategori}</option>
                                    #{/list}
                                </select>
                            </div>
                        </div>
                        <div class="form-group required">
                            <label class="col-md-3 control-label">&{'judul.label'}</label>
                            <div class="col-md-8">
                                <input maxlength="100" type="text" name="deskripsi" id="deskripsi" class="form-control" required/>
                            </div>
                        </div>
                        <div class="form-group required">
                            <label class="col-md-3 control-label">&{'file.label'}</label>
                                <div class="col-md-4">
                                    <input type='file' name="file" accept=".pdf,.doc,.docx,.zip,.rar" required/>
                                </div>
                        </div>
                        <div class="form-group required">
                            <label class="col-md-3 control-label">&{'tanggal_mulai_publikasi.label'}</label>
                            <div class="col-md-3">
                                <input class="form-control" id="date_time_picker1" name="publish_date_from" required/>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label">&{'tanggal_akhir_publikasi.label'}</label>
                            <div class="col-md-3">
                                <input class="form-control" id="date_time_picker2" name="publish_date_to"/>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
#{/form}
</div>

#{validationPackage/}
#{set 'moreScripts'}
<script type="text/javascript">
    $(document).ready(function(){
        $("#date_time_picker1").datetimepicker({
            locale:'id',
            format:'DD-MM-YYYY HH:mm'
        });

        $("#date_time_picker2").datetimepicker({
            locale:'id',
            format:'DD-MM-YYYY HH:mm'
        });

        $('.form-horizontal').validate({
            highlight: function(element) {
                $(element).parents('.form-group').addClass('has-error');
            },
            unhighlight: function(element) {
                $(element).parents('.form-group').removeClass('has-error');
            }
        });
    });
</script>
#{/set}
